QGIS Application - Bug report #11420
Quick calculation bar updates wrong column when using aliases
2014-10-16 03:26 AM - Alexandre Neto

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Attribute table

Affected QGIS version:master Regression?: No
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 19697
Description

The quick calculation bar does not work as expected when trying to update a field that has an alias set.
Instead of updating the selected column, it updates the first column in the table.

This affects both 2.4 and master.

This can lead easily to data loss if the user does not confirm the update.

To reproduce the problem add a layer (I have tried with shapefiles and postgis table), and try to update one of the fields (not the first one)
using the quick calculation bar. Now Go to the layer properties > fields and set an alias for the same field.

Going back to the attribute table, you will see that the field selection combo box as changed (as it should) and trying to update the field
will no longer work.

Associated revisions

Revision d11597a5 - 2014-10-20 12:03 PM - Martin Dobias

Fix #11420 (Quick calculation bar updates wrong column when using aliases)

History

#1 - 2014-10-16 03:33 AM - Giovanni Manghi

- Subject changed from Not possible to use quick calculation bar to update a field that uses an alias to Quick calculation bar updates wrong column
when using aliases

- Priority changed from High to Severe/Regression

- Crashes QGIS or corrupts data changed from No to Yes

| would set this as a blocker, because it causes a severe data corruption/lost. Feel free to downgrade it.

#2 - 2014-10-20 02:54 AM - Jiirgen Fischer
- Assignee set to Jirgen Fischer

#3 - 2014-10-20 03:04 AM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"d11597a5b7b301e755d188¢3f381e3339cf95f39".

2024-04-11 12




#4 - 2014-10-20 03:05 AM - Jiirgen Fischer
- Status changed from Closed to In Progress

- Assignee changed from Jiirgen Fischer to Martin Dobias

#5 - 2014-10-20 03:05 AM - Jiirgen Fischer
- Status changed from In Progress to Closed

#6 - 2014-10-20 03:05 AM - Martin Dobias

Uhhhh sorry Jiirgen
